=== debian/changelog ===
palemoon (29.0.0-1mx19+1) mx; urgency=medium

  * New major milestone release:  
    - Implemented Intl.PluralRules API for JavaScript.
    - Added a frequently-requested preference (browser.tabs.allowTabDetach) to
      disable "tearing off" of tabs (meaning dragging them outside of the tab
      bar resulting in them being made into their own window).
    - Added FLAC as a recognized filetype-by-extension.
    - Implemented basic support for the scrollbar-width CSS keyword. See 
      implementation notes.
    - Added preliminary support for modern FreeBSD builds.
    - Selectively enabled core features of the DOM Animations API.
    - Enabled AV1 video support by default (previously built but not enabled in
      releases).
    - Added support for pointer events.
    - Added support for the SVG transform-box property.
    - Added support for the inputmode property for forms to enable
      context-sensitive display of soft keyboards.
    - Enabled shutting down of the file I/O worker when idle for a while
      (resource optimization).
    - Enabled blocking of auto-play of media in the background by default.
    - We now offer official GTK3 builds for Linux alongside the GTK2 builds.
    - Partial (and as of yet, not acceptably functional) implementation of
      Google WebComponents. See implementation notes.
   Changes/fixes:
    - Updated NSPR to 4.29.
    - Updated NSS to 3.59.
    - Disabled legacy database format for storage of certificates and passwords.
    - Updated several site-specific user-agent overrides for web compatibility.
    - Improved styling of the "find in page" bar to avoid unreadable text on
      some system themes.
    - Removed a large chunk of Android-specific code.
    - Split gkmedias.dll back out from xul.dll.
    - Cleaned up a number of redundant and obsolete code paths.
    - Fixed a regression with the Performance API.
    - Fixed an initialization issue in the browser when users would
      force-disable certain types of caching.
    - Fixed a crash when attempting to save a file from FTP that could be
      displayed in the browser.
    - Fixed the root cause of an issue with JavaScript module loading causing
      crashes. See implementation notes.
    - Fixed a rare initialization issue for the print preview window causing it
      to not display.
    - Fixed a crash on Mac when text input was not secure.
    - Disabled the Storage Manager API by default.
    - Disabled the <menuitem> html tag by default. If you still need this, you
      can re-enable it with the preference dom.menuitem.enabled in about:config.
    - Fixed a memory safety issue related to XUL trees (CVE-2021-23962).
    - Implemented several defense-in-depth measures to improve stability and
      future security.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Feb 2021 15:10:44 -0800
