## palemoon 29.0.1

=== debian/changelog ===
palemoon (29.0.1-2gtk3.mx19+1) mx; urgency=medium

  * Rebuild against GTK+ 3..

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Feb 2021 15:06:17 -0800

palemoon (29.0.1-1mx19) mx; urgency=medium

  * New security and stability update:
    - Fixed a browser crash when manipulating frame trees.
    - Fixed an issue with depth textures in ANGLE.
    - Updated the SSOAU for YouTube Studio.
    - Security issue addressed: ZDI-CAN-12197.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Feb 2021 15:08:37 -0800

palemoon (29.0.0-1) obs; urgency=medium

  * New major milestone release:  
    - Implemented Intl.PluralRules API for JavaScript.
    - Added a frequently-requested preference (browser.tabs.allowTabDetach) to
      disable "tearing off" of tabs (meaning dragging them outside of the tab
      bar resulting in them being made into their own window).
    - Added FLAC as a recognized filetype-by-extension.
    - Implemented basic support for the scrollbar-width CSS keyword. See 
      implementation notes.
    - Added preliminary support for modern FreeBSD builds.
    - Selectively enabled core features of the DOM Animations API.
    - Enabled AV1 video support by default (previously built but not enabled in
      releases).
    - Added support for pointer events.
    - Added support for the SVG transform-box property.
    - Added support for the inputmode property for forms to enable
      context-sensitive display of soft keyboards.
    - Enabled shutting down of the file I/O worker when idle for a while
      (resource optimization).
    - Enabled blocking of auto-play of media in the background by default.
    - We now offer official GTK3 builds for Linux alongside the GTK2 builds.
    - Partial (and as of yet, not acceptably functional) implementation of
      Google WebComponents. See implementation notes.
   Changes/fixes:
    - Updated NSPR to 4.29.
    - Updated NSS to 3.59.
    - Disabled legacy database format for storage of certificates and passwords.
    - Updated several site-specific user-agent overrides for web compatibility.
    - Improved styling of the "find in page" bar to avoid unreadable text on
      some system themes.
    - Removed a large chunk of Android-specific code.
    - Split gkmedias.dll back out from xul.dll.
    - Cleaned up a number of redundant and obsolete code paths.
    - Fixed a regression with the Performance API.
    - Fixed an initialization issue in the browser when users would
      force-disable certain types of caching.
    - Fixed a crash when attempting to save a file from FTP that could be
      displayed in the browser.
    - Fixed the root cause of an issue with JavaScript module loading causing
      crashes. See implementation notes.
    - Fixed a rare initialization issue for the print preview window causing it
      to not display.
    - Fixed a crash on Mac when text input was not secure.
    - Disabled the Storage Manager API by default.
    - Disabled the <menuitem> html tag by default. If you still need this, you
      can re-enable it with the preference dom.menuitem.enabled in about:config.
    - Fixed a memory safety issue related to XUL trees (CVE-2021-23962).
    - Implemented several defense-in-depth measures to improve stability and
      future security.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Feb 2021 15:10:44 -0800

palemoon (28.17.0-1) obs; urgency=medium

  * This is a development and security update to the browser:
    - Changed the way dates and times are formatted in the UI to properly adhere
      to the user's regional settings in the O.S.
    - Re-enabled the DOM Filesystem API for web compatibility.
    - Moved the global user-agent override to the networking component.
    - Worked around crashes and run-time issues with module scripts.
    - Fixed a website layout issue with table-styled elements potentially
      overlapping when placed inside a flexbox.
    - Fixed some code logic issues with websockets.
    - Fixed a regression when waking the computer from standby causing high
      CPU usage in some uncommon situations.
    - Updated the list of prohibited ports the browser can use.
    - Updated root certificates.
    - Security issues addressed: CVE-2020-26978 and CVE-2020-35112.
    - Unified XUL Platform Mozilla Security Patch Summary: 2 fixed, 1 deferred
      to the next release, 16 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Dec 2020 14:35:04 -0800

palemoon (28.16.0-1) obs; urgency=medium

  * This is a development and security update to the browser:
    - Changes/fixes:
      - Aligned CSS tab-size with the specification and un-prefixed it.
      - Updated Brotli library to 1.0.9.
      - Updated JAR lib code.
      - Optimized UI code, resulting in smaller downloads and less space
        consumed on disk.
      - Changed the default Firefox Compatibility version number to 68.0 (since
        versions ending in .9 makes some frameworks unhappy, refusing access
        to users)
      - Cleaned up HPKP leftovers.
      - Disabled the DOM filesystem API by default.
      - Removed Phone Vibrator API.
      - Fixed an issue where the software uninstaller would not remove the
        program files it should.
      - Fixed a devtools crash related to timeline snapshots.
      - Fixed an issue in Skia that could cause unsafe memory access. DiD
      - Fixed several data race conditions. DiD
      - Fixed an XSS vulnerability where scripts could be executed when pasting
        data into on-line editors.
      - Linux: Fixed an overflow issue in freetype.
      - Security issues addressed: CVE-2020-26960, CVE-2020-26951,
        CVE-2020-26956, CVE-2020-15999 and several others that do not have a
        CVE designation.
      - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed,
        4 defense-in-depth, 3 rejected, 20 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Nov 2020 11:18:01 -0800

palemoon (28.15.0-1) obs; urgency=medium


