## palemoon 29.1.0

=== debian/changelog ===
palemoon (29.1.0-1.gtk2+mx17) mx; urgency=medium

  * New security and stability update:
    - Updated timezone data to 2021a.
    - Updated the wording and inclusion of more select license blocks in
      about:license.
    - Updated some site-specific user-agent overrides for web compatibility.
    - Updated the lz4 library for performance and security updates.
    - Improved performance of JSON stringify.
    - Further improved support for building on FreeBSD.
    - Fixed a regression where changes to useragent compatibility required a
      restart to take effect.
    - Fixed a regression where AES-GCM in WebCrypto ("subtle" crypto API) wasn't
      working. This could make certain login procedures fail to work.
    - Fixed a full browser deadlock when page scripting would flood browsing
      history with rapid location state changes.
    - Disabled AV1 codec use by default again since our implementation has
      significant streaming issues (particularly audio) that needs further work.
    - Added required interaction with file/folder open dialog boxes on html
      file input elements on some operating systems to avoid malicious content
      tricking users into uploading sensitive files unintentionally
      (related to CVE-2021-23956).
    - Added a font sanity check to avoid triggering a potential vulnerability on
      unpatched Windows operating systems (related to CVE-2021-24093).
    - Security issues addressed: CVE-2021-23974, CVE-2021-23973 and several
      memory safety hazards that don't have CVE numbers.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 2 DiD, 19
      not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Mar 2021 12:05:02 -0800
