## palemoon 29.1.1

=== debian/changelog ===
palemoon (29.1.1-1.gtk3.mx21) mx; urgency=medium

  * Minor security and bugfix update:
    - Updated NSS to fix certificate import and keygen regressions.
    - Removed restrictions for units of width/height attributes on SVG elements.
    - Enabled scrollbar-width CSS keyword by default.
    - Security issues addressed: CVE-2021-23981 and a DiD fix for potential
      document parser confusion.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Mar 2021 12:02:06 -0700

palemoon (29.1.0-2.gtk3.mx21) mx; urgency=medium

  * Build against GTK+ 3 for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Mar 2021 13:47:01 -0800

palemoon (29.1.0-1gtk2) obs; urgency=medium

  * New security and stability update:
    - Updated timezone data to 2021a.
    - Updated the wording and inclusion of more select license blocks in
      about:license.
    - Updated some site-specific user-agent overrides for web compatibility.
    - Updated the lz4 library for performance and security updates.
    - Improved performance of JSON stringify.
    - Further improved support for building on FreeBSD.
    - Fixed a regression where changes to useragent compatibility required a
      restart to take effect.
    - Fixed a regression where AES-GCM in WebCrypto ("subtle" crypto API) wasn't
      working. This could make certain login procedures fail to work.
    - Fixed a full browser deadlock when page scripting would flood browsing
      history with rapid location state changes.
    - Disabled AV1 codec use by default again since our implementation has
      significant streaming issues (particularly audio) that needs further work.
    - Added required interaction with file/folder open dialog boxes on html
      file input elements on some operating systems to avoid malicious content
      tricking users into uploading sensitive files unintentionally
      (related to CVE-2021-23956).
    - Added a font sanity check to avoid triggering a potential vulnerability on
      unpatched Windows operating systems (related to CVE-2021-24093).
    - Security issues addressed: CVE-2021-23974, CVE-2021-23973 and several
      memory safety hazards that don't have CVE numbers.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 2 DiD, 19
      not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Mar 2021 12:05:02 -0800

palemoon (29.0.1-1) obs; urgency=medium

  * New security and stability update:
    - Fixed a browser crash when manipulating frame trees.
    - Fixed an issue with depth textures in ANGLE.
    - Updated the SSOAU for YouTube Studio.
    - Security issue addressed: ZDI-CAN-12197.

  * Build with gcc-8 if in the repos.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Feb 2021 15:08:37 -0800
