=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python (>= 2.7),
+               python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
                yasm (>= 1.1),
                zip
