=== debian/changelog ===
palemoon (29.2.0-1.gtk3.mx21) mx; urgency=medium

  * Development and bugfix release. Starting with this version, unmaintained
    legacy Firefox extensions that are not updated for/targeting Pale Moon
    directly are no longer supported:
    - When opening tabs from the History side bar, Pale Moon will now warn you
      about the action if it would result in opening many tabs at once.
    - Pale Moon now offers "Open All in Tabs" on bookmark folders even if there
      is only one sub-item in it, for UI consistency.
    - Added media format controls in the Content category of Preferences.
    - Added controls for preferred color scheme. See implementation notes.
    - Updated several site-specific user-agent overrides for web compatibility.
    - Removed the ability to accept Firefox IDs for extension installation.
    - Removed conditional Macintosh code from the application front-end.
    - Updated the AV1 reference library to 2.0.
    - Cleaned up more Android code from the platform.
    - Updated the embedded emoji font to cater to even more race-dependent
      profession emoji.
    - Fixed an overflow in clip paths, potentially causing them to be rendered
      incorrectly.
    - Added CSS values smooth, high-quality and pixelated to the image-rendering
      keyword.
    - Implemented Intl.NumberFormat.formatToParts() to allow deconstruction of
      localized number formats by scripts.
    - Reinstated the dom.details_element.enabled preference and fixed a
      rendering issue with summary/details html elements.
    - Fixed an issue with CSP .nonce attributes on elements.
    - Security issues addressed: CVE-2021-29946 DiD and CVE-2021-23994 DiD .
    - This version adds support for the prefers-color-scheme CSS keyword. This
      keyword is a media query keyword that indicates to websites whether your
      content styling preference is "light" or "dark". Unlike other browsers
      where this will be tied to your system color scheme and determined
      automatically (which might be a point on which you can be fingerprinted,
      so this would be a privacy concern), we've decided to give the user
      control through Preferences -> Content -> Colors where you will find a new
      control to indicate your user preference (it defaults to "light" for
      everyone). While this control also gives you the option to disable this
      feature and effectively not support the keyword, be aware that this might
      cause issues on some websites that do not provide styling for
      "unspecified" color scheme preferences.
      In the future we may add an "automatic" option similar to other browsers
      in case you regularly switch your system application style from light to
      dark and v.v.

  * debian/mozconfigs: remove option to enable phoenix extension; now default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Apr 2021 11:09:47 -0700

palemoon (29.1.1-1.gtk2) obs; urgency=medium

  * Minor security and bugfix update:
    - Updated NSS to fix certificate import and keygen regressions.
    - Removed restrictions for units of width/height attributes on SVG elements.
    - Enabled scrollbar-width CSS keyword by default.
    - Security issues addressed: CVE-2021-23981 and a DiD fix for potential
      document parser confusion.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Mar 2021 12:02:06 -0700

palemoon (29.1.0-1.gtk2) obs; urgency=medium

  * New security and stability update:
    - Updated timezone data to 2021a.
    - Updated the wording and inclusion of more select license blocks in
      about:license.
    - Updated some site-specific user-agent overrides for web compatibility.
    - Updated the lz4 library for performance and security updates.
    - Improved performance of JSON stringify.
    - Further improved support for building on FreeBSD.
    - Fixed a regression where changes to useragent compatibility required a
      restart to take effect.
    - Fixed a regression where AES-GCM in WebCrypto ("subtle" crypto API) wasn't
      working. This could make certain login procedures fail to work.
    - Fixed a full browser deadlock when page scripting would flood browsing
      history with rapid location state changes.
    - Disabled AV1 codec use by default again since our implementation has
      significant streaming issues (particularly audio) that needs further work.
    - Added required interaction with file/folder open dialog boxes on html
      file input elements on some operating systems to avoid malicious content
      tricking users into uploading sensitive files unintentionally
      (related to CVE-2021-23956).
    - Added a font sanity check to avoid triggering a potential vulnerability on
      unpatched Windows operating systems (related to CVE-2021-24093).
    - Security issues addressed: CVE-2021-23974, CVE-2021-23973 and several
      memory safety hazards that don't have CVE numbers.
    - Unified XUL Platform Mozilla Security Patch Summary: 4 fixed, 2 DiD, 19
      not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Mar 2021 12:05:02 -0800
