=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,15 @@
 	dh_auto_clean
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
+
+# Build with gcc-8 on releases where default gcc is >= 9
+# distrelease := $(shell lsb_release -cs)
+# ifeq ($(distrelease),$(filter $(distrelease),focal))
+# export CC=gcc-8
+# export CXX=g++-8
+# export CPP=cpp-8
+# export LD=gcc-8
+# endif
 
 # Use a custom mozconfig for Sid to build with one thread.
 # Builds on Debian derivatives may have to add their own distrelease codename.
