## palemoon 29.2.1

=== debian/changelog ===
palemoon (29.2.1-1.gtk2.mx19) mx; urgency=medium

  * This is a small bugfix release:
    - Worked around an issue with autocomplete popups sometimes failing to work
      (and added some debug console logging to it in case it happens to help
      find the root cause)
    - Fixed an issue with DOM mouse scrolling throwing errors.
    - Fixed a race with network detection routines firing incorrectly when
      resuming from standby.
    - Fixed a crash when using large uploads through DOM.
    - Fixed an issue where the menulist-button on editable menulist widgets was
      not visible on GTK3.
    - Reduced the number of reported "important preferences" in troubleshooting
      information, excluding individual printer details.
    - Fixed an issue with the JS JIT compiler not tracing debugger environments
      (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jun 2021 18:48:12 -0700

palemoon (29.2.0-1.gtk2) obs; urgency=medium

  * Development and bugfix release. Starting with this version, unmaintained
    legacy Firefox extensions that are not updated for/targeting Pale Moon
    directly are no longer supported:
    - When opening tabs from the History side bar, Pale Moon will now warn you
      about the action if it would result in opening many tabs at once.
    - Pale Moon now offers "Open All in Tabs" on bookmark folders even if there
      is only one sub-item in it, for UI consistency.
    - Added media format controls in the Content category of Preferences.
    - Added controls for preferred color scheme. See implementation notes.
    - Updated several site-specific user-agent overrides for web compatibility.
    - Removed the ability to accept Firefox IDs for extension installation.
    - Removed conditional Macintosh code from the application front-end.
    - Updated the AV1 reference library to 2.0.
    - Cleaned up more Android code from the platform.
    - Updated the embedded emoji font to cater to even more race-dependent
      profession emoji.
    - Fixed an overflow in clip paths, potentially causing them to be rendered
      incorrectly.
    - Added CSS values smooth, high-quality and pixelated to the image-rendering
      keyword.
    - Implemented Intl.NumberFormat.formatToParts() to allow deconstruction of
      localized number formats by scripts.
    - Reinstated the dom.details_element.enabled preference and fixed a
      rendering issue with summary/details html elements.
    - Fixed an issue with CSP .nonce attributes on elements.
    - Security issues addressed: CVE-2021-29946 DiD and CVE-2021-23994 DiD .
    - This version adds support for the prefers-color-scheme CSS keyword. This
      keyword is a media query keyword that indicates to websites whether your
      content styling preference is "light" or "dark". Unlike other browsers
      where this will be tied to your system color scheme and determined
      automatically (which might be a point on which you can be fingerprinted,
      so this would be a privacy concern), we've decided to give the user
      control through Preferences -> Content -> Colors where you will find a new
      control to indicate your user preference (it defaults to "light" for
      everyone). While this control also gives you the option to disable this
      feature and effectively not support the keyword, be aware that this might
      cause issues on some websites that do not provide styling for
      "unspecified" color scheme preferences.
      In the future we may add an "automatic" option similar to other browsers
      in case you regularly switch your system application style from light to
      dark and v.v.

  * debian/mozconfigs: remove option to enable phoenix extension; now default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Apr 2021 11:09:47 -0700
