=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
                libgtk2.0-dev (>= 2.14),
-               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
