## palemoon 29.3.0

=== debian/changelog ===
palemoon (29.3.0-2.gtk3.mx21) mx; urgency=medium

  * Build against GTK+ 3.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jul 2021 21:30:49 -0700

palemoon (29.3.0-2.gtk2) obs; urgency=medium

  * Slightly modify fix-arm-build.patch per Max Tobin.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jul 2021 21:19:00 -0700

palemoon (29.3.0-1.gtk2) obs; urgency=medium

  * New development, bugfix and security release:
    - "Web Developer" is now called "Developer Tools" in the menus.
    - Updated and aligned about:home, the QuickDial page and logopage styling.
    - Re-organized the privacy category in the preferences window.
    - Enabled brotli compression for http for sites that support it.
    - Implemented EventTarget as a constructor.
    - Updated Windows 10 toolkit styling.
    - Updated the port blacklist (removed 10080). See implementation notes.
    - CSS: Implemented calc() and animation support for stroke-dashoffset.
    - Added support for checking boolean preferences to chrome CSS style sheets,
      to support more advanced theming options.
    - Added support for dynamic dark color capable themes in CSS.
    - Removed obsolete system theme support from the layout engine.
    - Fixed several crashes.
    - Linux: blocked particularly old versions of Mesa/Nouveau drivers due to
      issues.
    - Security issues addressed: CVE-2021-30547 and several other issues that
      don't have a CVE number.
  * Add patch to fix armhf build.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jul 2021 13:08:38 -0700

palemoon (29.2.1-1.gtk2) obs; urgency=medium

  * This is a small bugfix release:
    - Worked around an issue with autocomplete popups sometimes failing to work
      (and added some debug console logging to it in case it happens to help
      find the root cause)
    - Fixed an issue with DOM mouse scrolling throwing errors.
    - Fixed a race with network detection routines firing incorrectly when
      resuming from standby.
    - Fixed a crash when using large uploads through DOM.
    - Fixed an issue where the menulist-button on editable menulist widgets was
      not visible on GTK3.
    - Reduced the number of reported "important preferences" in troubleshooting
      information, excluding individual printer details.
    - Fixed an issue with the JS JIT compiler not tracing debugger environments
      (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jun 2021 18:48:12 -0700
