=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk2.0-dev (>= 2.14),
+               libgtk-3-dev (>= 3.4),
+               libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
